JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DarkModeSettingListener Class Referenceabstract
juce_gui_basics » desktop

Classes can implement this interface and register themselves with the Desktop class to receive callbacks when the operating system dark mode setting changes. More...

`#include <juce_Desktop.h>`

## Public Member Functions
virtual | ~DarkModeSettingListener ()=default
| Destructor.
virtual void | darkModeSettingChanged ()=0
| Callback to indicate that the dark mode setting has changed.

## Detailed Description

Classes can implement this interface and register themselves with the Desktop class to receive callbacks when the operating system dark mode setting changes.

The Desktop::isDarkModeActive() method can then be used to query the current setting.

See also
  Desktop::addDarkModeSettingListener, Desktop::removeDarkModeSettingListener, Desktop::isDarkModeActive

## Constructor & Destructor Documentation

## ◆ ~DarkModeSettingListener()

virtual DarkModeSettingListener::~DarkModeSettingListener | ( |  | ) |
| virtual default

Destructor.

## Member Function Documentation

## ◆ darkModeSettingChanged()

virtual void DarkModeSettingListener::darkModeSettingChanged | ( |  | ) |
| pure virtual

Callback to indicate that the dark mode setting has changed.

The documentation for this class was generated from the following file:

- juce_Desktop.h